# Always prefer setuptools over distutils
from setuptools import setup, find_packages

# To use a consistent encoding
from codecs import open
from os import path

# The directory containing this file
HERE = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(HERE, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

# This call to setup() does all the work
setup(
    name="trailml",
    version="0.1.2",
    description="The Central Information Source For AI Development",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://www.trail-ml.com/?utm_source=pypi&utm_medium=pypi&utm_campaign=pypi",
    author="Trail",
    author_email="nikolaus@trail-ml.com",
    license="MIT",
    classifiers=[
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Operating System :: OS Independent"
    ],
    packages=["trailml"],
    include_package_data=True,
    install_requires=["mlflow", "aiohttp", "gql", "pyrebase4"],
    package_data={'trailml': ['*.ini']},

)